@echo off
rem chap4mk.bat
echo This could temporarily disable your E: drive -- ok?
pause
echo FAKEFRMT
masm fakefrmt;
link fakefrmt;
exe2bin fakefrmt.exe fakefrmt.com
del fakefrmt.exe
fakefrmt
echo DPBTEST
cl -qc dpbtest.c
dpbtest
echo BUFFERS
cl -qc buffers.c
buffers
echo ENUMDRV & CURRDIR
cl -qc enumdrv.c currdir.c
enumdrv
echo TRUENAME
cl -qc truename.c
truename .
echo COUNTF
cl -qc -DTESTING countf.c
countf
echo FILES
cl -qc files.c
files
echo FREEUP
cl -qc -DFREEUP -Fefreeup.exe files.c
freeup
files
echo H2NAME
cl -AL h2name.c
h2name < chap4mk.bat > foo.bar
type foo.bar
echo DRVSET
cl -qc drvset.c currdir.obj
drvset e: netphys
enumdrv
copy drvset.exe drvoff.exe
drvoff e:
enumdrv
echo FHANDLE
cl -qc fhandle.c countf.c
fhandle 40
echo MOV - Turbo C (MSC FP_OFF() wants lvalue)
tcc mov
md foo
mov mov.* foo\mov.*
foo\mov foo\mov.* mov.*
rd foo
echo .
echo FOR INTRSPY SCRIPTS, SEE CHAP8
echo .
echo PHANTOM
tpc phantom
phantom e:
copy %0.bat e:
dir e:


